Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2e16::/16
First address
2e16::
Last address
2e16:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2e16:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
6.1.e.2.ip6.arpa
Split into smaller subnets/28

2e16::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12e16::/282e16:f:ffff:ffff:ffff:ffff:ffff:ffff
22e16:10::/282e16:1f:ffff:ffff:ffff:ffff:ffff:ffff
32e16:20::/282e16:2f:ffff:ffff:ffff:ffff:ffff:ffff
42e16:30::/282e16:3f:ffff:ffff:ffff:ffff:ffff:ffff
52e16:40::/282e16:4f:ffff:ffff:ffff:ffff:ffff:ffff
62e16:50::/282e16:5f:ffff:ffff:ffff:ffff:ffff:ffff
72e16:60::/282e16:6f:ffff:ffff:ffff:ffff:ffff:ffff
82e16:70::/282e16:7f:ffff:ffff:ffff:ffff:ffff:ffff
92e16:80::/282e16:8f:ffff:ffff:ffff:ffff:ffff:ffff
102e16:90::/282e16:9f:ffff:ffff:ffff:ffff:ffff:ffff
112e16:a0::/282e16:af:ffff:ffff:ffff:ffff:ffff:ffff
122e16:b0::/282e16:bf:ffff:ffff:ffff:ffff:ffff:ffff
132e16:c0::/282e16:cf:ffff:ffff:ffff:ffff:ffff:ffff
142e16:d0::/282e16:df:ffff:ffff:ffff:ffff:ffff:ffff
152e16:e0::/282e16:ef:ffff:ffff:ffff:ffff:ffff:ffff
162e16:f0::/282e16:ff:ffff:ffff:ffff:ffff:ffff:ffff
172e16:100::/282e16:10f:ffff:ffff:ffff:ffff:ffff:ffff
182e16:110::/282e16:11f:ffff:ffff:ffff:ffff:ffff:ffff
192e16:120::/282e16:12f:ffff:ffff:ffff:ffff:ffff:ffff
202e16:130::/282e16:13f:ffff:ffff:ffff:ffff:ffff:ffff
212e16:140::/282e16:14f:ffff:ffff:ffff:ffff:ffff:ffff
222e16:150::/282e16:15f:ffff:ffff:ffff:ffff:ffff:ffff
232e16:160::/282e16:16f:ffff:ffff:ffff:ffff:ffff:ffff
242e16:170::/282e16:17f:ffff:ffff:ffff:ffff:ffff:ffff
252e16:180::/282e16:18f:ffff:ffff:ffff:ffff:ffff:ffff
262e16:190::/282e16:19f:ffff:ffff:ffff:ffff:ffff:ffff
272e16:1a0::/282e16:1af:ffff:ffff:ffff:ffff:ffff:ffff
282e16:1b0::/282e16:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292e16:1c0::/282e16:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302e16:1d0::/282e16:1df:ffff:ffff:ffff:ffff:ffff:ffff
312e16:1e0::/282e16:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322e16:1f0::/282e16:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332e16:200::/282e16:20f:ffff:ffff:ffff:ffff:ffff:ffff
342e16:210::/282e16:21f:ffff:ffff:ffff:ffff:ffff:ffff
352e16:220::/282e16:22f:ffff:ffff:ffff:ffff:ffff:ffff
362e16:230::/282e16:23f:ffff:ffff:ffff:ffff:ffff:ffff
372e16:240::/282e16:24f:ffff:ffff:ffff:ffff:ffff:ffff
382e16:250::/282e16:25f:ffff:ffff:ffff:ffff:ffff:ffff
392e16:260::/282e16:26f:ffff:ffff:ffff:ffff:ffff:ffff
402e16:270::/282e16:27f:ffff:ffff:ffff:ffff:ffff:ffff
412e16:280::/282e16:28f:ffff:ffff:ffff:ffff:ffff:ffff
422e16:290::/282e16:29f:ffff:ffff:ffff:ffff:ffff:ffff
432e16:2a0::/282e16:2af:ffff:ffff:ffff:ffff:ffff:ffff
442e16:2b0::/282e16:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452e16:2c0::/282e16:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462e16:2d0::/282e16:2df:ffff:ffff:ffff:ffff:ffff:ffff
472e16:2e0::/282e16:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482e16:2f0::/282e16:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492e16:300::/282e16:30f:ffff:ffff:ffff:ffff:ffff:ffff
502e16:310::/282e16:31f:ffff:ffff:ffff:ffff:ffff:ffff
512e16:320::/282e16:32f:ffff:ffff:ffff:ffff:ffff:ffff
522e16:330::/282e16:33f:ffff:ffff:ffff:ffff:ffff:ffff
532e16:340::/282e16:34f:ffff:ffff:ffff:ffff:ffff:ffff
542e16:350::/282e16:35f:ffff:ffff:ffff:ffff:ffff:ffff
552e16:360::/282e16:36f:ffff:ffff:ffff:ffff:ffff:ffff
562e16:370::/282e16:37f:ffff:ffff:ffff:ffff:ffff:ffff
572e16:380::/282e16:38f:ffff:ffff:ffff:ffff:ffff:ffff
582e16:390::/282e16:39f:ffff:ffff:ffff:ffff:ffff:ffff
592e16:3a0::/282e16:3af:ffff:ffff:ffff:ffff:ffff:ffff
602e16:3b0::/282e16:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612e16:3c0::/282e16:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622e16:3d0::/282e16:3df:ffff:ffff:ffff:ffff:ffff:ffff
632e16:3e0::/282e16:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642e16:3f0::/282e16:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652e16:400::/282e16:40f:ffff:ffff:ffff:ffff:ffff:ffff
662e16:410::/282e16:41f:ffff:ffff:ffff:ffff:ffff:ffff
672e16:420::/282e16:42f:ffff:ffff:ffff:ffff:ffff:ffff
682e16:430::/282e16:43f:ffff:ffff:ffff:ffff:ffff:ffff
692e16:440::/282e16:44f:ffff:ffff:ffff:ffff:ffff:ffff
702e16:450::/282e16:45f:ffff:ffff:ffff:ffff:ffff:ffff
712e16:460::/282e16:46f:ffff:ffff:ffff:ffff:ffff:ffff
722e16:470::/282e16:47f:ffff:ffff:ffff:ffff:ffff:ffff
732e16:480::/282e16:48f:ffff:ffff:ffff:ffff:ffff:ffff
742e16:490::/282e16:49f:ffff:ffff:ffff:ffff:ffff:ffff
752e16:4a0::/282e16:4af:ffff:ffff:ffff:ffff:ffff:ffff
762e16:4b0::/282e16:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772e16:4c0::/282e16:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782e16:4d0::/282e16:4df:ffff:ffff:ffff:ffff:ffff:ffff
792e16:4e0::/282e16:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802e16:4f0::/282e16:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812e16:500::/282e16:50f:ffff:ffff:ffff:ffff:ffff:ffff
822e16:510::/282e16:51f:ffff:ffff:ffff:ffff:ffff:ffff
832e16:520::/282e16:52f:ffff:ffff:ffff:ffff:ffff:ffff
842e16:530::/282e16:53f:ffff:ffff:ffff:ffff:ffff:ffff
852e16:540::/282e16:54f:ffff:ffff:ffff:ffff:ffff:ffff
862e16:550::/282e16:55f:ffff:ffff:ffff:ffff:ffff:ffff
872e16:560::/282e16:56f:ffff:ffff:ffff:ffff:ffff:ffff
882e16:570::/282e16:57f:ffff:ffff:ffff:ffff:ffff:ffff
892e16:580::/282e16:58f:ffff:ffff:ffff:ffff:ffff:ffff
902e16:590::/282e16:59f:ffff:ffff:ffff:ffff:ffff:ffff
912e16:5a0::/282e16:5af:ffff:ffff:ffff:ffff:ffff:ffff
922e16:5b0::/282e16:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932e16:5c0::/282e16:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942e16:5d0::/282e16:5df:ffff:ffff:ffff:ffff:ffff:ffff
952e16:5e0::/282e16:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962e16:5f0::/282e16:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972e16:600::/282e16:60f:ffff:ffff:ffff:ffff:ffff:ffff
982e16:610::/282e16:61f:ffff:ffff:ffff:ffff:ffff:ffff
992e16:620::/282e16:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002e16:630::/282e16:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012e16:640::/282e16:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022e16:650::/282e16:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032e16:660::/282e16:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042e16:670::/282e16:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052e16:680::/282e16:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062e16:690::/282e16:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072e16:6a0::/282e16:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082e16:6b0::/282e16:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092e16:6c0::/282e16:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102e16:6d0::/282e16:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112e16:6e0::/282e16:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122e16:6f0::/282e16:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132e16:700::/282e16:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142e16:710::/282e16:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152e16:720::/282e16:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162e16:730::/282e16:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172e16:740::/282e16:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182e16:750::/282e16:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192e16:760::/282e16:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202e16:770::/282e16:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212e16:780::/282e16:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222e16:790::/282e16:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232e16:7a0::/282e16:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242e16:7b0::/282e16:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252e16:7c0::/282e16:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262e16:7d0::/282e16:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272e16:7e0::/282e16:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282e16:7f0::/282e16:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292e16:800::/282e16:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302e16:810::/282e16:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312e16:820::/282e16:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322e16:830::/282e16:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332e16:840::/282e16:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342e16:850::/282e16:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352e16:860::/282e16:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362e16:870::/282e16:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372e16:880::/282e16:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382e16:890::/282e16:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392e16:8a0::/282e16:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402e16:8b0::/282e16:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412e16:8c0::/282e16:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422e16:8d0::/282e16:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432e16:8e0::/282e16:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442e16:8f0::/282e16:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452e16:900::/282e16:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462e16:910::/282e16:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472e16:920::/282e16:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482e16:930::/282e16:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492e16:940::/282e16:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502e16:950::/282e16:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512e16:960::/282e16:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522e16:970::/282e16:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532e16:980::/282e16:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542e16:990::/282e16:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552e16:9a0::/282e16:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562e16:9b0::/282e16:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572e16:9c0::/282e16:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582e16:9d0::/282e16:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592e16:9e0::/282e16:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602e16:9f0::/282e16:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612e16:a00::/282e16:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622e16:a10::/282e16:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632e16:a20::/282e16:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642e16:a30::/282e16:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652e16:a40::/282e16:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662e16:a50::/282e16:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672e16:a60::/282e16:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682e16:a70::/282e16:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692e16:a80::/282e16:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702e16:a90::/282e16:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712e16:aa0::/282e16:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722e16:ab0::/282e16:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732e16:ac0::/282e16:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742e16:ad0::/282e16:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752e16:ae0::/282e16:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762e16:af0::/282e16:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772e16:b00::/282e16:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782e16:b10::/282e16:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792e16:b20::/282e16:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802e16:b30::/282e16:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812e16:b40::/282e16:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822e16:b50::/282e16:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832e16:b60::/282e16:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842e16:b70::/282e16:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852e16:b80::/282e16:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862e16:b90::/282e16:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872e16:ba0::/282e16:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882e16:bb0::/282e16:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892e16:bc0::/282e16:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902e16:bd0::/282e16:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912e16:be0::/282e16:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922e16:bf0::/282e16:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932e16:c00::/282e16:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942e16:c10::/282e16:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952e16:c20::/282e16:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962e16:c30::/282e16:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972e16:c40::/282e16:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982e16:c50::/282e16:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992e16:c60::/282e16:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002e16:c70::/282e16:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012e16:c80::/282e16:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022e16:c90::/282e16:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032e16:ca0::/282e16:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042e16:cb0::/282e16:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052e16:cc0::/282e16:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062e16:cd0::/282e16:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072e16:ce0::/282e16:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082e16:cf0::/282e16:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092e16:d00::/282e16:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102e16:d10::/282e16:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112e16:d20::/282e16:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122e16:d30::/282e16:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132e16:d40::/282e16:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142e16:d50::/282e16:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152e16:d60::/282e16:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162e16:d70::/282e16:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172e16:d80::/282e16:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182e16:d90::/282e16:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192e16:da0::/282e16:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202e16:db0::/282e16:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212e16:dc0::/282e16:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222e16:dd0::/282e16:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232e16:de0::/282e16:def:ffff:ffff:ffff:ffff:ffff:ffff
2242e16:df0::/282e16:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252e16:e00::/282e16:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262e16:e10::/282e16:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272e16:e20::/282e16:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282e16:e30::/282e16:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292e16:e40::/282e16:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302e16:e50::/282e16:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312e16:e60::/282e16:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322e16:e70::/282e16:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332e16:e80::/282e16:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342e16:e90::/282e16:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352e16:ea0::/282e16:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362e16:eb0::/282e16:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372e16:ec0::/282e16:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382e16:ed0::/282e16:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392e16:ee0::/282e16:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402e16:ef0::/282e16:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412e16:f00::/282e16:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422e16:f10::/282e16:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432e16:f20::/282e16:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442e16:f30::/282e16:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452e16:f40::/282e16:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462e16:f50::/282e16:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472e16:f60::/282e16:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482e16:f70::/282e16:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492e16:f80::/282e16:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502e16:f90::/282e16:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512e16:fa0::/282e16:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522e16:fb0::/282e16:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532e16:fc0::/282e16:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542e16:fd0::/282e16:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552e16:fe0::/282e16:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562e16:ff0::/282e16:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses